require 'cht-lib-fabric/dry_types'

Application.boot(:mysql, namespace: true) do |application|
  init do
    require 'active_record'
    require 'active_record/base'

    require 'erb'
  end

  start do

    use :settings
    use :logger

    str = File.read(target[:settings].mysql_config_file)

    yml = ERB.new(str).result
    env = target.env.to_s

    database_config = YAML.load(yml)  # rubocop:disable Security/YAMLLoad
    spec = database_config[env]


    application[:logger].info "Using env #{env}"
    ActiveRecord::Base.establish_connection spec
    ActiveRecord::Base.logger = application[:logger]

    register(:database_configuration, database_config)
    register(:active_record_spec, spec)
  end
end
