Application.boot(:org_management) do
  init do
    require 'cht-lib-fabric/helpers/graphql/http'
    require 'aws_account_status/clients/org_management_client'
  end

  start do
    use :logger
    use :wavefront

    uri = target[:settings].org_management_uri
    http = ::Platform::Helpers::GraphQL.http(uri)

    register('org_management') do
      ::AwsAccountStatus::Clients::OrgManagementClient.new(http)
    end
  end
end
