# frozen_string_literal: true

Application.boot(:region_service_support_data_access) do |app|
  init do
    require 'aws_account_status/data_access/region_service_support_redis_data_access'
  end

  start do
    use :logger

    register(:region_service_support_data_access, call: false) do
      redis_client = app['cache.region_service_support_redis']
      ::AwsAccountStatus::DataAccess::RegionServiceSupportRedisDataAccess.new(redis_client, app['logger'])
    end
  end
end
