Application.boot(:graphql_resolvers) do |app|
  init do
    require 'aws_account_status/graph_ql/types/resolvers'
  end

  start do
    use :logger
    use :statsd
    use :integration_aws
    use :org_management
    use :data_access

    register(:aws_account_api_access_status_resolver, call: false) do
      ::AwsAccountStatus::GraphQL::Types::Resolvers::AwsAccountApiAccessStatusResolver.new
    end

    register(:aws_accounts_api_access_status_resolver, call: false) do
      ::AwsAccountStatus::GraphQL::Types::Resolvers::AwsAccountsApiAccessStatusResolver.new
    end

    register(:aws_api_access_status_overview_resolver, call: false) do
      ::AwsAccountStatus::GraphQL::Types::Resolvers::AwsApiAccessStatusOverviewResolver.new
    end
  end
end
