# frozen_string_literal: true

require 'dry/system/container'
require 'dry/system/components'
require 'cht-lib-fabric/components'

class Application < ::Dry::System::Container
  use(:env, inferrer: -> { (ENV['RACK_ENV'] || 'development').to_sym })

  configure do |config|
    config.name = SERVICE_NAME
    config.auto_register = %w[app]
  end
  load_paths!('app')

  %i[alert graphql i18n logger].each { |c| boot(c, from: :platform) }
  boot(:statsd, from: :platform) do
    configure do |config|
      settings = container[:settings]
      config.namespace = "#{SERVICE_NAME}.#{SERVICE_TASK}"
      config.statsd_host = settings.statsd_host
      config.statsd_port = settings.statsd_port
    end
  end
end
